   @PRODUCT - список изменений  @{r74}@{d}@{_}


   В список включены только общедоступные версии.


   *** Версия 2.61

      Редакция 10 [21/11/1998]

        *  Первая версия.

      Редакция 11 [26/11/1998]

        *  ARJ/2 2.61.10 вызывал исключение  0Dh, если ARJ$DISP  удаляется
           через Task List.
        *  Исправлена очистка экрана в ANSI.

      Редакция 13 [13/12/1998]

        *  Исправлена ошибка в "ARJ M".
        *  Уменьшен размер исполнимых модулей.
        *  ARJ/2 теперь также работает под Windows NT.

      Редакция 14 [31/12/1998]

        *  Незначительные исправления.


   *** Версия 2.62

      Редакция 2 [09/01/1999]

        *  Исправлен текст некоторых сообщений.
        *  ARJSFX корректно поддерживает ключ "-!".

      Редакция 3 [12/01/1999]

        *  ARJ/2 v 2.62  вызывал  исключение  в  Windows NT  при  создании
           директорий.
        *  ARJSFX/ARJSFXV  могли  зацикливаться  на   архивах  с  длинными
           именами.
        *  Исправлена обработка файлов с именами длиннее 131 знака.

      Редакция 4 [24/02/1999]

        *  Исправлен показ ANSI-комментариев.
        *  Несколько добавлений к документации.

      Редакция 5 [01/05/1999]

        *  Введен ARJSFXV v 2.62c.

      Редакция 7 [23/08/1999]

        *  "ARJ i" сообщал о повреждениях в прежних версиях ARJ/2.
        *  Изменена процедура поиска в файлах для новых файловых систем.
        *  Архив поставки защищен "электронной подписью".

      Редакция 9 [04/09/1999]

        *  Исправлен алгоритм создания заголовка.
        *  Исправлена ошибка в  процедуре  определения  свободного  объема
           (для томов FAT больше 1 ГБ).
        *  Включена поддержка переменных окружения (-+).
        *  В именах файлов теперь допускаются пробелы.
        *  По умолчанию ставится расширение ".arj" (в нижнем регистре).
        *  Восстановлен ключ -&.
        *  Метки томов теперь могут быть сохранены/восстановлены.
        *  Группа ключей "-h2" переименована  в "-2" (старые  наименования
           еще поддерживаются).
        *  Проверка на  Windows NT и выставление  NT в  Host OS  больше не
           производится в связи с выходом ARJ32.
        *  Добавлен полный набор сопутствующих утилит.

      Редакция 10 [15/09/1999]

        *  Восстанавливается время создания директорий.
        *  Введена поддержка расширенных атрибутов в ARJ и ARJSFXV.
        *  Исправлена ошибка с обработкой путей в ARJSFXV.

      Редакция 12 [26/09/1999]

        *  Добавлена     проверка     на    шифрование     при    создании
           самораспаковывающихся архивов.
        *  Исправлено создание  страховочных копий в  режиме поддержки EA.
        *  Добавлена возможность комментировать любые страховочные копии.
        *  Введена проверка на файлы больше 2 ГБ.
        *  Исправлено создание многотомных "пустых" архивов ("-j#").
        *  Исправлена   обработка   зашифрованных  архивов  и   архивов  с
           "двойными" именами файлов по командам "j" и "y".
        *  Исправлена реакция на посторонние файлы в многотомном режиме.
        *  Автоматически генерируются номера томов выше 99.
        *  Включен режим создания встроенной страховочной записи.


   *** Версия 2.70

      Редакция 1 [08/10/1999]

        *  Изменен формат сообщений об ошибках.
        *  Восстановлена  совместимость  с  X-терминалом  (xterm)  системы
           XFree86 for OS/2.
        *  При использовании -hk проверяется размер  тома, чтобы  избежать
           зацикливания.
        *  Исправлена  ошибка, приводившая к  созданию пустых  архивов при
           отсутствии файлов.

      Редакция 2 [25/10/1999]

        *  Исправлен ARJSFXJR (не проставлялась дата при распаковке).
        *  Устранены проблемы с рекурсивной перепаковкой (/a* /u) в REARJ.
        *  Добавлена возможность выбора формата даты в -h#.
        *  Добавлен режим совместимости -2d1.

      Редакция 4 [06/11/1999]

        *  К форматам даты добавлен номер дня в году (-h#NNN).
        *  Исправлена простановка атрибутов на распакованные файлы.
        *  Добавлено    автоматическое    тестирование    архивов    после
           расшифровки.
        *  Исправлен парсинг команд для работы с запасными копиями.
        *  Добавлен автоматический поиск конфигурационного файла.
        *  Исправлен ввод пароля с клавиатуры.
        *  Восстановлена совместимость с EXT2FS.IFS.

      Редакция 5 [31/12/1999]

        *  Исправлены  сообщения "Невозможно  найти файл ...", возникающие
           при работе со списком файлов.
        *  Самораспаковывающиеся архивы сжаты стандартным методом EXEPACK.
        *  Введена новая схема регистрации.
        *  Добавлен автоматический поиск файла ARJ.KEY.
        *  Исправлен  вывод  ESC-последовательности, удаляющей  символы до
           конца строки.
        *  Исправлены  сообщения  о  нехватки  памяти,  возникающие  после
           обработки большого числа томов.
        *  Исключены побочные эффекты при распаковке поврежденных архивов.
        *  Исправлена простановка даты и времени на распакованные файлы.
        *  Исправлена рекурсивная распаковка в REARJ с ключом /G.
        *  REARJ/2 обновлен до версии 2.42.

      Редакция 7 [06/01/2000]

        *  Незначительная оптимизация алгоритма сжатия.
        *  Добавлен режим преобразования расширенных атрибутов .LONGNAME к
           именам файлов во время архивации.
        *  Ключ "/J" обрабатывался  неверно  в зарегистрированных  версиях
           REARJ/2.

      Редакция 8 [07/01/2000]

        *  Исправлена  ошибка  в   проверке  корректности  регистрационных
           ключей.


   *** Версия 2.71

      Редакция 1 [19/03/2000]

        *  При архивации с  ключом "-ha"  снимаются  атрибуты "только  для
           чтения".
        *  Исправлен формат вывода дат после 2000 года.
        *  Введен  ключ  "-2k",  форсирующий   использование  двухзначного
           формата для года в списках файлов.
        *  Исправлена обработка модификаторов размера "-v...K" и "-v...M".
        *  Исправлен вывод регистрационной информации в ARJSFXJR.
        *  В REGISTER.EXE ключ "-all" заменен на  отдельные ключи "-arj" и
           "-arj32".
        *  Действие ключа "-s" в ARJSFXV  изменено  на  противоположное  и
           отныне разрешает разделенный доступ к файлам.
        *  Добавлен альтернативный алгоритм нумерации  томов в многотомных
           архивах.

      Редакция 2 [25/03/2000]

        *  Исправлена   ошибка   с   недостатком   файловых   дескрипторов
           (проявлялась в версиях 2.70.09 и 2.71.01).
        *  Исправлена некорректная реакция на ключи -b и -b2.

      Редакция 5 [27/06/2000]

        *  Незначительные изменения и исправления.


   *** Версия 2.72

      Редакция 6 [18/08/2000]

        *  Коммерческие  бета-версии  более не  имеют ограничений  на срок
           действия.
        *  Исправлена  незначительная  ошибка   при  выводе   на  экран  с
           использованием ключа "-t1".
        *  Исправлена обработка ключа "-*".
        *  Устранены ошибки, связанные с некорректной архивацией  по ключу
           "-m4".
        *  Введена проверка  ключей  при  изменении  самораспаковывающихся
           архивов.
        *  Формат вывода номера версии изменен для совместимости с Winzip.
        *  Исправлена обработка  многотомных  архивов при  задании рабочей
           директории.
        *  Исправлена ошибка с созданием в  некоторых случаях пустого тома
           в конце многотомных архивов.
        *  Модуль ARJSFX корректно  определяет и выводит на  экран подпись
           ARJ-SECURITY.
        *  Исправлена   обработка  ключа  "-jc"  при  распаковке   файлов,
           разбитых на несколько томов.
        *  Устранена  проблема   с   заданием   ключа "-js"  в  переменных
           окружения и в командной строке.
        *  Команда "l" выводит " 00" для 2000 г. и "100" для 2001 г..
        *  Введен ключ "-2k1" для взаимно однозначного представления даты.
        *  Введены  ключи  "-hy1"  и  "-hy2",  форсирующие   использование
           параметров кодовых страниц OEM и ANSI.
        *  Исправлено шифрование  существующих незашифрованных  архивов по
           ключу "-hg".
        *  При выводе помощи отключается индикатор.
        *  ARJCRYPT обновлен до версии 2.1.


   *** Версия 2.73

      Редакция 1 [19/08/2000]

        *  Исправлено зацикливание на заголовках с  отрицательным размером
           сжатого файла.
        *  Незначительные изменения текста сообщений.
        *  В  файлах  конфигурации  можно   использовать  модификатор "-",
           действующий как "+", кроме  тех случаев, когда  он предшествует
           ключу.
        *  Исправлен подсчет  размера  тома   при  обновлении  архивов  со
           страховочной записью (ARJ-PROTECT).
        *  Исправлен подсчет общего числа файлов при выводе списков.
        *  Устранена проблема с использованием  ключа "-wv" при обновлении
           томов.
        *  Исправлен вывод процента  выполненной работы по  ключам "-i3" и
           "-i6" для многотомных архивов.
        *  Исправлена  обработка  ключа "-jc" для  подсчета  распакованных
           файлов в многотомных  архивах, вывод  запросов отключается  для
           незадействованных томов.
        *  Исправлено   зацикливание  при  использовании  ключа  "-va"  на
           крупных разделах.


   *** Версия 2.75/3.08

      Редакция 1 [09/09/2000]

        *  Официальный релиз.

      Редакция 7 [20/10/2000]

        *  Исправлена обработка томов с номерами более 99 в ARJSFXV.

      Редакция 14 [31/12/2000]

        *  Устранена вероятность сбоев при запуске ARJSFXV.
        *  Файл README разделен на несколько документов.
        *  Устранена ошибка с зацикливанием при использовании ключа "-vw".
        *  Исправлен ошибочный вывод процента выполненной работы по ключам
           "-i3" и "-i6" при архивации с ключом "-vw".
        *  Команда "Y" отныне  позволяет  совместное использование  ключей
           "-hk" и "-g".
        *  При распаковке  многотомных  файлов запрос  по ключу "-q" будет
           выдаваться только для первой части каждого файла.

      Редакция 15 [09/01/2001]

        *  Добавлен ключ "-2f", позволяющий отключить комментарии для всех
           томов, кроме первого.

      Редакция 16 [15/01/2001]

        *  Исправлена  обработка размера  тома в  параметрах "-vxxxK"  или
           "-vxxxM".

      Редакция 17 [05/02/2001]

	*  Исправлена запись  расширенных атрибутов  поверх существующих в
           32-разрядной версии для OS/2.

      Редакция 19 [07/04/2001]

        *  Исправлен вывод файлов на экран по команде ARJ p -ja.
        *  Устранена  возможность  сбоя  при завершении  работы ARJSFX или
           ARJSFXV.

      Редакция 21 [04/06/2001]

        *  Исправлена обработка ключа /A в REARJ.
        *  Исправлены   ошибки  в   алгоритме   подсчета   размера   тома,
           проявлявшиеся в версии 2.75.19.


   *** Версия 2.76/3.09

      Редакция 4 [21/06/2001]

        *  Увеличена  емкость  списка архивируемых  файлов в  коммерческих
           версиях.
        *  Изменен порядок сохранения директорий и принадлежащим им файлов
           (для восстановления времени модификации при распаковке).
        *  В версии для DOS введена проверка объема свободной памяти.
        *  Исправлено удаление имен директорий по  команде "r" для архивов
           с "двойными" именами.
        *  Исправлена обработка  директорий с чрезмерно  длинными  именами
           файлов.
        *  ARJSFXV  не  выдает   звуковой  сигнал  при   указании  ключей,
           отменяющих запрос на смену тома.
        *  В ARJSFXV добавлена  возможность работы  с  архивом, содержащим
           модуль шифрования внутри себя.

      Редакция 5 [24/06/2001]

        *  Изменена   последовательность  запроса   пароля  в  многотомных
           самораспаковывающихся архивах.

      Редакция 6 [15/08/2001]

        *  Исправлен вызов архиваторов для DOS из REARJ.
        *  ARJSFX включает режим VIO ANSI для вывода комментариев в OS/2.
        *  Исправлены ошибки при использовании -hk совместно с -va.
        *  Добавлен ключ для указания модификаторов приоритета.
        *  Повышена производительность распаковки по -m4.

      Редакция 7 [25/08/2001]

        *  Добавлена поддержка нового формата даты модификации файлов.


   *** Версия 2.77/3.10

      Редакция 1 [01/09/2001]

        *  Програма графического интерфейса переименована в ARJDISP.
        *  Синтаксис  ARJ.CFG дополнен  комментарием (символ '#' в  первой
           позиции на любой строке).
        *  Предварительная поддержка систем класса UNIX.
        *  В конфигурационных файлах REARJ введен модификатор "T".
        *  Исправлена обработка ключа "-t1g".
        *  Ключ   "-t0"   при   распаковке   текстовых   файлов  указывает
           восстановление старшего бита.

      Редакция 3 [07/09/2001]

        *  Исправлено преобразование атрибутов файлов в формат DOS.
        *  Исправлена несовместимость модуля ARJCRYPT.
        *  Исправлено удаление специальных файлов UNIX.
        *  Исправлена обработка файлов ".*" с ключом "-2a".
        *  Исправлено преобразование даты из формата DOS в UNIX.

      Редакция 4 [09/09/2001]

        *  Исправлено вычисление объема страховочной записи (-hk).
        *  Исправлено   обновление    архивов,   содержащих    расширенные
           заголовки.

      Редакция 5 [15/09/2001]

        *  Исправлен вывод даты создания архива в версиях для DOS и OS/2.

      Редакция 6 [23/10/2001]

        *  Исправлена обработка ключа "-2f".
        *  Отменена  привязка  к  пути "/usr/bin" для  платформ  семейства
           UNIX.
        *  Изменены  имена  конфигурационных файлов в домашней директории:
           перед именем файла ставится точка ('.').


   *** Версия 2.78/3.10

      Редакция 1 [27/03/2002]

        *  Исправлен подсчет процентов выполненного объема по ключу "-i5".

      Редакция 2 [08/04/2002]

        *  Официальный выпуск с открытыми исходными текстами.

      Редакция 4 [15/05/2002]

        *  Исправлен механизм хранения даты изменения архива в заголовке.
        *  Исправлена обработка ключей "+" и "-" в ARJ.CFG.

      Редакция 5 [06/07/2002]

        *  Исправлено преобразование даты создания файла.
        *  Исправлена реакция на "ARJ Q" при неуказанном имени файла.
        *  Добавлены ключи "-d1" и "-d2".

      Редакция 6 [14/12/2002]

        *  Исправлена  ошибка,  приводившая  к   сообщениям  "Недостаточно
           памяти" при запуске в системах класса UNIX.

      Редакция 7 [25/01/2003]

        *  Исправлена генерация ключей для шифрования в модуле ARJCRYPT.
        *  Добавлена предварительная поддержка платформы Win32.

      Редакция 8 [07/02/2003]

        *  В ОС класса UNIX при установке предлагается путь /usr/local.
        *  При  указании ключа "-jp" в  системах  DOS, OS/2 и Win32 высота
           экрана определяется автоматически (значение по умолчанию - 25).
        *  REARJ обновлен до версии 2.43 (допускается произвольный порядок
           ключевых слов в файле настройки).
        *  Исправлено  зацикливание  программы  на  директориях, связанных
           символьными ссылками, в отсутствии ключа "-a1".
        *  Добавлен параметр "-2b".
        *  Исправлен вывод сообщений об ошибках в системах Win32.

      Редакция 10 [03/04/2003]

        *  Введен  ключ  "-2r",  который   позволяет  установить   порядок
           архивации файлов, использовавшийся в старых версиях ARJ.

      Редакция 11 [06/04/2003]

        *  Исправлена ошибка, препятствовавшая обработке глубоко вложенных
           директорий под 32-разрядной OS/2.

      Редакция 12 [12/04/2003]

        *  Устранены  несоответствия  модулей  шифрования,  приводившие  к
           возможной  несовместимости   созданных  архивов  с   различными
           версиями ARJ.

      Редакция 13 [11/05/2003]

        *  Алгоритм  обработки  метасимволов в  версии для OS/2 приведен в
           соответствие с версией для Win32.
        *  Восстановлена работоспособность ключа "-jp".
        *  Исправлен  выбор  алгоритма  шифрования  по  "-hg" для  паролей
           длиной свыше 32 символов.
        *  Будет  выводиться  на экран  степень избыточности  страховочной
           записи ARJ-PROTECT.
        *  Исправлена обработка команды "arj o".

      Редакция 15 [30/06/2003]

        *  Устранена ошибка, приводившая к аварийному завершению REARJ при
           наличии пустых строк в файле конфигурации.
        *  В  индикаторах "-i" при  подсчете  общего  объема архивации  не
           будут учитываться пропущенные файлы.
        *  Исправлена обработка параметра "-2b": могли пропускаться файлы,
           следующие за исключаемым каталогом и содержащие ссылки.
        *  Атрибуты символьных ссылок будут игнорироваться при распаковке.
        *  Исправлена индикация объема EA в 32-разрядной версии для OS/2.
        *  Устранены  различные  недоработки  при  обновлении   архивов  с
           расширенными заголовками.

      Редакция 17 [14/09/2003]

        *  Добавлен   ключ "-2o2",  позволяющий  архивировать   символьные
           UID/GID.
        *  Архивы,  создаваемые   под  системами  семейства   UNIX,  будут
           сохранять назначенные системой права доступа.

      Редакция 18 [16/10/2003]

        *  Исправлена  установка атрибутов  самораспаковывающихся  архивов
           в системах семейства UNIX.

      Редакция 19 [21/02/2004]

        *  Сообщение "Продолжить?" при вызове справки по "arj -?" не будет
           выводиться при перенаправлении стандартного вывода.
        *  Ключ "-t1g" эквивалентен ранее не документированному "-t1gf".
        *  Исправлен  порядок  поиска   файла  arjcrypt.so  на  платформах
           семейства UNIX.
        *  Исправлена обработка ключа "-2l", на платформах без расширенных
           атрибутов приводившая к искажению имен файлов.
        *  Введен ключ "-_", позволяющий  преобразовывать  имена  файлов к
           нижнему регистру в ходе архивации и распаковки.

      Редакция 20 [18/04/2004]

        *  Последний символ в комментариях, задаваемых  по "-jz", более не
           заменяется принудительным переводом строки.
        *  Исправлен отбор требуемых томов по ключу "-jb".

      Редакция 21 [18/06/2004]

        *  Программа  регистрации  на  большинстве платформ  выполнялась с
           ошибками.
        *  Исправлено    преобразование    имен    файлов,   вводимых    с
           командной строки в  системах Win32, к требуемой кодировке - OEM
           или ANSI.
        *  При копировании временных файлов с ключом "-jt" могло возникать
           сообщение об ошибке "Нарушение целостности данных".
        *  Введен   параметр  "-2i",  позволяющий   хранить  любой   объем
           произвольных данных перед самим архивом.
        *  Введены  новые  модификаторы  численных  значений  (G/T/P/E)  и
           приставка "0x" для указания шестнадцатеричных значений.
        *  В  32-разрядной версии  для OS/2 команда "ARJ p" не переключала
           стандартный вывод в двоичный режим.

      Редакция 22 [23/06/2005]

        *  Исправлена  простановка  текущей  даты  в  заголовки  архивов и
           запасных копий в версиях для OS/2-32 и Win32.
        *  Исправлена  обработка  знака  табуляции  при выводе содержимого
           архива и комментариев.


      Конец файла
